Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(164)

Side by Side Diff: git_cl/test/rename.sh

Issue 5012006: Move git-cl into depot_tools.... (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/tools/depot_tools/
Patch Set: '' Created 10 years ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch | Annotate | Revision Log
« no previous file with comments | « git_cl/test/push-from-logs.sh ('k') | git_cl/test/save-description-on-failure.sh » ('j') | no next file with comments »
Toggle Intra-line Diffs ('i') | Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Property Changes:
Added: svn:executable
+ *
OLDNEW
(Empty)
1 #!/bin/bash
2
3 # Renaming a file should show up as a rename in the review.
4
5 set -e
6
7 . ./test-lib.sh
8
9 setup_initsvn
10 setup_gitsvn
11
12 (
13 set -e
14 cd git-svn
15 git config rietveld.server localhost:8080
16
17 # Create a branch, rename a file, upload it.
18 git checkout -q -b rename
19 git mv test test2
20 git commit -q -m "renamed"
21 export EDITOR=/bin/true
22 test_expect_success "upload succeeds" \
23 "$GIT_CL upload -m test master... | grep -q 'Issue created'"
24
25 # Look at the uploaded patch and verify it is a rename patch.
26 echo "Rename test not fully implemented yet. :("
27 exit 1
28 )
29
30 SUCCESS=$?
31
32 cleanup
33
34 if [ $SUCCESS == 0 ]; then
35 echo PASS
36 fi
OLDNEW
« no previous file with comments | « git_cl/test/push-from-logs.sh ('k') | git_cl/test/save-description-on-failure.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698